clear all
clc
close all


% Product mass
m = 1;%kg

% Solids content
w_c = [0.2:0.2:0.6];%w/w

% Water content
w_w = 1-w_c;%w/w

% Free water
mfw = [0.61, 0.35, 0.14];

% Bounded water
mbw = 1-w_c-mfw;

% DeltaH phase changes
deltaHf = 333;%KJ/kg

% Temperature
dT = 1;%celsius
T  = [-24:dT:20]';%celsius


% THERMOPHYSICAL PROPERTIES

% Carbohydrates
Cp_c    = 1.5488 + 1.9625e-3*T - 5.9399e-6*T.^2;%KJ/kgK

% Water
Cp_w(-40<=T&T<=0) = 4.1289 - 5.3062e-3*T(-40<=T&T<=0) + 9.9516e-4*T(-40<=T&T<=0).^2;%KJ/kgK
Cp_w(0<T&T<=20) = 4.1289 -9.0864e-5*T(0<T&T<=20) + 5.4731e-6*T(0<T&T<=20).^2;%KJ/kgK
Cp_w = Cp_w';

% Ice
Cp_i    = 2.0623 + 6.0769e-3*T;%KJ/kgK

% Mixing rules 
Cp_mix    = w_c'*Cp_c' + w_w'*Cp_w';%KJ/kgK


% Computing Qsensible = Q1 + Q3 = m*int_T1_T2(Cp(T)]dT)
Qsa= m*dT*trapz(Cp_mix(1,:));%kJ
Qsb= m*dT*trapz(Cp_mix(2,:));%kJ
Qsc= m*dT*trapz(Cp_mix(2,:));%kJ

Qs = [Qsa Qsb Qsc]

% Freezing latent heat
Q2 = mfw*deltaHf

% Total heat
Qtotal = Qs + Q2% in KJ
